Subject: Re: [Supa] Comments on draft-contreras-supa-yang-network-topo-00

From: Martin Bjorklund <[email-masked]>
Date: Wed, 01 Oct 2014 14:31:09 +0200 (CEST)

Hi,

Tina TSOU <[email-masked]> wrote:
> Dear Martin,
> 
> We discussed off-line how the supa topology draft is related to the
> i2rs topology draft, I feel it is worthy to bring it to the list for
> broader audience.
> 
> This draft
> http://datatracker.ietf.org/doc/draft-hares-i2rs-info-model-service-topo/

I was also thinking about this draft:
http://tools.ietf.org/id/draft-clemm-netmod-yang-network-topo-01.txt

... which I now realize was posted as not as i2rs, but netmod.

/martin

> also focused on network topology information model which is also
> within the scope of SUPA topology model. However, besides the common
> interests at topology model, there are still significant differences
> between the two.
> 
> 1.  The I2RS topology model is based on a service topology which is
> closely related to certain service. And the service topology can be
> dedicated to one tenant or multiple tenants. For SUPA, different
> layers have different views or representations of the same network
> topology. Multiple users may not "share" the same topology but use
> their own topology at their own layer.
> 
> 
> 
> 2.  The I2RS topology model use service topologies which should be
> independent from network topology and therefore should not map onto
> other underlay topologies. The SUPA topology model is a unified
> topology model to support service at all levels. Each level can have
> its own representation of the topology.
> 
> 
> 3.  There is no YANG based topology model in this I2RS draft yet. SUPA
> has a well defined YANG data model to describe the topology.
> 
> All in all, the two drafts have something in common and the basic
> principals are very close. IMO, service topology can be one use case
> for SUPA topology model to be used in BGP, OSPF and so on.
> 
> 
> Thank you,
> Tina
> 
> From: Supa [mailto:[email-masked]] On Behalf Of Tina TSOU
> Sent: Sunday, September 28, 2014 12:30 PM
> To: LUIS MIGUEL CONTRERAS MURILLO; [email-masked]
> Cc: [email-masked]
> Subject: [Supa] Comments on draft-contreras-supa-yang-network-topo-00
> 
> Dear Luis, Andrew et al,
> 
> Thank you for writing such a concrete model.
> 
> I read
> draft-contreras-supa-yang-network-topo-00<http://datatracker.ietf.org/doc/draft-contreras-supa-yang-network-topo/>. It
> is well written. Below are some comments.
> 
> The basic idea of this draft is very good, and I can understand what
> the author tries to say. However still, more clarification is needed
> especially for some definitions.
> 
> 1.  In section 4.2, there are "virtual node" and "container node",
> what is difference between these two kinds of nodes? For the virtual
> node, it is more understandable that it is the virtualization of the
> physical node or nodes. But for the container node, it can be a group
> of nodes or only one node. What is the necessity to define such a
> container node, is it domain specific or a general idea for all the
> use cases?
> 
> 
> 
> 2.  Would you elaborate one use case for the container node? In order
> to demonstrate the insufficiency of virtual node to cover the
> application or use cases, show one use case that the container node
> idea is necessary.
> 
> 
> 3.  In section 4.2, there is also some external links or nodes
> definition, what is the purpose for that? Are they external for the
> user or the up level controller?
> 
> 
> 4.       In first figure of section 4
>                   +-------------------------+
>                   |                         |
>                   |       topology          |
>                   |                         |
>                   +-+-+----+---------+--+-+-+
>                     | |    |         |  | |
>                     | |    |         |  | |
>                     | |    |         |  | |
>                     | |    |         |  | |
>       +------------+ |    |         |  | |
>        |              |    |         |  | +------------------+
>        |        +-----+    |         |  +--------+           |
>        |        |          |         +-+         |           |
>        |        |          |           |         |           |
>     +--+---+ +--+---+ +----+------++---+---+ +---+---+ +-----+-----+
>     |link  | |node  | |termination||extLink| |extNode| |extTerminat|
>     +------+ +------+ |Point      |+-------+ +-------+ |ionPoint   |
>                       +-----------+                    +-----------+
> 
> How can the unified topology be mapped into different applications or
> users? I guess you need to map this topology, if this is the only one
> topology, to different applications in order to make it work.
> 
> 
> Thank you,
> Tina
>